# Get sites where specified component is allowed

Returns an array of sites where the specified component is allowed.

Endpoint: GET /api/v1/components/{componentId}/sites
Version: v1
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http Bearer

## Path parameters:

  - `componentId` (string, required)
    The component identifier.

## Query parameters:

  - `environmentId` (string)
    The environment identifier. Defaults to "main". Currently only "main" is supported.

## Response 200:

  - `200` (unknown)
    Successful operation

## Response 200 fields (application/json):

  - `id` (string)
    The identifier of the site.
    Example: 497f6eca-6276-4993-bfeb-53cbbbba6f08

  - `name` (string)
    The name of the site.
    Example: skate-park

  - `displayName` (string)
    The display name of the site.
    Example: Skate Park Website

  - `links` (object)
    Hypermedia links associated with a Site resource.

  - `links.self` (object)
    A single hypermedia link (RFC 8288).

  - `links.self.href` (string)
    The relative URL of the linked resource.
    Example: /api/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08

## Response 400:

  - `400` (unknown)
    Invalid component ID

## Response 400 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

